Bug 1798 - theme packages are too heavily depended on
: theme packages are too heavily depended on
Status: RESOLVED WONTFIX
Product: Desktop platform
Themes
: 4.1.3 (5.2008.43-7)
: All Maemo
: Low enhancement (vote)
: ---
Assigned To: unassigned
: themes-bugs
:
: easyfix, ITOS2007HE-garage, moreinfo
: 3602
:
  Show dependency tree
 
Reported: 2007-08-12 23:25 UTC by Clarence Risher
Modified: 2010-01-22 18:01 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Clarence Risher (reporter) 2007-08-12 23:25:49 UTC
I want to remove themes I don't use, to save space.  Unfortunately...

osso-theme-theme2 (and others) is depended on by desktop-backgrounds
desktop-backgrounds is depended on by maemo-af-desktop
maemo-af-desktop is depended on by ke-recv
and so on and so forth

One viable solution to this problem would be to get rid of the
desktop-backgrounds package and instead move each of the four backgrounds into
their respective theme packages.  Then make maemo-af-desktop depend on just the
default theme, and suggest/recommend the other 3 themes.

Other solutions are possible.
Comment 1 Clarence Risher (reporter) 2007-08-13 01:22:09 UTC
correction...  the four backgrounds in desktop-backgrounds are just symlinks
into the theme packages.  this makes things simpler and more complicated at the
same time.  problem remains, though.  my temporary solution was to produce
empty equivs-generated packages to replace and conflict out the theme and
theme-config packages.
Comment 2 Jake Kunnari 2007-08-21 12:15:12 UTC
Re-assigned to correct person.
Comment 3 Roope Rainisto nokia 2007-08-21 12:29:24 UTC
Reassign to Tuomas.
Comment 4 Tuomas Kuosmanen nokia 2007-09-11 10:07:04 UTC
Assigning to Michael as I don't know that much about debian packaging to be of
much help here.
Comment 5 Eero Tamminen nokia 2007-10-11 18:43:16 UTC
IMHO there should be a virtual package provided by the theme packages and
the other packages depend from this virtual package.
Comment 7 Andre Klapper maemo.org 2008-05-30 18:25:03 UTC
hmm, this doesn't sound too hard to fix to me.
Comment 8 Andre Klapper maemo.org 2008-06-06 17:17:09 UTC
reassigning MDK's bugs to Rodrigo.
Comment 9 Andre Klapper maemo.org 2008-11-03 20:57:59 UTC
Can neither find osso-theme-theme2 nor desktop-backgrounds.
Have these packages been renamed? Is this still valid?
Comment 10 Andre Klapper maemo.org 2008-11-17 15:55:19 UTC
(In reply to comment #9)
> Can neither find osso-theme-theme2 nor desktop-backgrounds.
> Have these packages been renamed? Is this still valid?

Anybody able to answer my questions?
Clarence, Tuomas? :-/
Comment 11 Daniel Martin Yerga 2008-11-22 20:24:03 UTC
(In reply to comment #9)
> Can neither find osso-theme-theme2 nor desktop-backgrounds.
> Have these packages been renamed? Is this still valid?
> 

They have been renamed to hildon-theme-XXXX, for example hildon-theme-echo.

Now they depend on osso-software-version-rx44 (package known by everyone) and
hildon-application-framework-rx34-rx44 (really I don't know what does this
package, it only has changelog and copyright files that are deleted by docpurge
in the installation).

The background images are in every theme package, now they aren't in a separate
package.

So, I would say this bug has been half fixed, because now it suffers the same
problem as bug 3602.
Comment 12 Andre Klapper maemo.org 2009-01-20 17:28:52 UTC
(reflect the reality and set correct assignee)
Comment 13 Quim Gil nokia 2009-02-01 01:21:59 UTC
CCing Ville. 

Themes are also content and therefore they should be probably untied to package
dependencies (apart from the default one, that would assure that in the worst
case scenario you have always at least one theme available in the system).
Comment 14 Eero Tamminen nokia 2009-02-02 10:35:28 UTC
(In reply to comment #13)
> Themes are also content and therefore they should be probably untied to package
> dependencies (apart from the default one, that would assure that in the worst
> case scenario you have always at least one theme available in the system). 

This should be handled through a virtual package which all real theme packages
provide and from which things needing a theme depend from.
Comment 15 Quim Gil nokia 2009-05-21 14:32:02 UTC
Soumya, can you help explaining how are the package dependencies in Fremantle
and whether this is still an issue? Thanks!
Comment 16 Soumya nokia 2009-05-22 14:00:51 UTC
In Fremantle, I see that the theme dependency in packages is set as 
'hildon-theme|hildon-theme-devel'

While hildon-theme-devel is actually valid a package name and the development
theme (used in the beta SDK), hildon-theme is a virtual package provided by
other themes.

So, all extra themes (other than hildon-theme-devel) that provide  for
'hildon-theme' and can be removed without affecting any other packages. 

In  my opinion, the original bug here should no longer be occuring in
Fremantle.
Comment 17 Quim Gil nokia 2009-05-22 14:11:01 UTC
So I guess in an ideal world there should be 1 theme really tied to the system
(to fallback to it just in case you delete all the themes removable) and then
the rest of themes should be removable via the application manager. Is that
right?
Comment 18 Eero Tamminen nokia 2009-05-25 19:19:16 UTC
(In reply to comment #17)
> So I guess in an ideal world there should be 1 theme really tied to the system
> (to fallback to it just in case you delete all the themes removable)
> and then the rest of themes should be removable via the application manager.
> Is that right?

The system should require any one theme to be present by depending on a virtual
theme package which is provided by all real theme packages.  I.e. user can
decide which theme to leave in to the device.
Comment 19 Andre Klapper maemo.org 2009-07-02 15:03:39 UTC
A hildon-theme-* package in Diablo says
"Required by application packages:
 hildon-application-framework-rx-34-rx44
 OS2008 Feature upgrade"
A hildon-theme-* package in Fremantle does not list anything under
"Required by application packages:".

But of course I don't have a OS2009/Maemo5 Feature upgrade handy to test. ;-)
Comment 20 Andre Klapper maemo.org 2009-12-30 15:44:05 UTC
This report was filed against Maemo4 ("Diablo").
The N900 and Maemo5 ("Fremantle") have been available for some time now.

If you own an N900, we kindly ask you to retest this with Maemo5 if possible,
and update this report by describing whether this still happens and which exact
Maemo5 version you use (Settings > General > About product).

This is unfortunately a WONTFIX for Maemo4 as Maemo4 is in maintenance mode and
Nokia will only provide bugfixes for critical issues if at all, as Nokia
currently seems to concentrate on Maemo5 and future Maemo releases.

Sorry that your issue could not be fixed for Maemo4. For your interest the Mer
project aims to provide a community backport of Maemo5 for 770/N8x0 devices.
See http://wiki.maemo.org/Mer for more information.
Comment 21 Quim Gil nokia 2010-01-11 23:56:16 UTC
Now Maemo 5 comes with only 2 pre-installed themes that (I would say) it is
safe to keep just in case. Relying entirely on 3rd party themes might be
problematic when doing an update, for instance.

I don't know exactly the situation on dependencies currently but the current
situation looks fair from an end user point of view and therefore this looks as
a WONTFIX (or FIXED, if you find the situation has improved enough since Maemo
4).